# This is the property file for the IG
# logging system. The IG uses the
# Log4J system.

# Define a logger
log4j.logger.edu.uprm.admg.nettraveler.ig.IG=DEBUG, igFile, igConsole
#log4j.logger.edu.uprm.admg.nettraveler.ig.IG=INFO, igFile, igConsole

# QSB Appender
log4j.appender.igFile=org.apache.log4j.RollingFileAppender
log4j.appender.igFile.File=${nettraveler.home}/logs/ig.log
log4j.appender.igFile.Threshold=DEBUG
log4j.appender.igConsole=org.apache.log4j.ConsoleAppender
log4j.appender.igConsole.Threshold=DEBUG

# QSB Appender File size
log4j.appender.igFile.MaxFileSize=100KB

# QSB Appender Keep 5 backups
log4j.appender.igFile.MaxBackupIndex=5

# QSB Appender uses Pattern Layout
log4j.appender.igFile.layout=org.apache.log4j.PatternLayout
log4j.appender.igFile.layout.ConversionPattern=%5p %r [%t] %d{ISO8601} - %m%n
log4j.appender.igConsole.layout=org.apache.log4j.PatternLayout
log4j.appender.igConsole.layout.ConversionPattern=%5p %r [%t] %d{ISO8601} (%L) - %m%n